Subject: Re: [PATCH net-next 13/14] devlink: add by-instance dump infra

From: Jiri Pirko <[email-masked]>
Date: Fri, 6 Jan 2023 12:25:32 +0100

Thu, Jan 05, 2023 at 04:46:04AM CET, [email-masked] wrote:
>On Wed, 4 Jan 2023 17:50:33 +0100 Jiri Pirko wrote:
>> Wed, Jan 04, 2023 at 05:16:35AM CET, [email-masked] wrote:

[...]

>> >@@ -173,6 +181,8 @@ devlink_linecard_get_from_info(struct devlink
>> >*devlink, struct genl_info *info);
>> > void devlink_linecard_put(struct devlink_linecard *linecard);
>> > 
>> > /* Rates */
>> >+extern const struct devlink_gen_cmd devl_gen_rate_get;  

The rest of the commands (next patch) you put in a different place, so
this is alone here.

>> 
>> The struct name is *_cmd, not sure why the variable name is *_get
>> Shouldn't it be rather devl_gen_cmd_rate?
>
>It is the implementation of get.. there's also a set command.. 
>which would be under a different index...

The rest of the commands (next patch) you omitted the "_get" suffix.